Support » Plugin: WP Reset - Best WordPress Reset Plugin » Using PHP Compatibility Checker, got these errors

  • Resolved wwwcre8r

    (@wwwcre8r)


    Using PHP Compatibility Checker, got these errors, will there be a release to fix this?

    ———————————————————————————–
    FOUND 1 ERROR AFFECTING 1 LINE
    ———————————————————————————–
    1845 | ERROR | Visibility for magic method __sleep must be public. Found: private
    ———————————————————————————–

    FILE: /wp-content/plugins/wp-reset/libs/dumper.php
    ————————————————————————————————————
    FOUND 10 ERRORS AFFECTING 10 LINES
    ————————————————————————————————————
    395 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead

Viewing 1 replies (of 1 total)
  • Plugin Author WebFactory

    (@webfactory)

    Hi,
    Due to the fact that we use a singleton pattern __sleep() magic method has to be private, so nobody can serialize our instance. I’ll double-check with my colleagues on this but I’m 99.9% that’s the reason.

    As for the mysql methods – you’re right, we should update those. Unless it gets overly complicated I don’t see a reason why we can’t have it fixed in the next release 🙂

Viewing 1 replies (of 1 total)
  • You must be logged in to reply to this topic.